/* =========================================================
   FOOTER.CSS — Site footer
   Requires style.css to be loaded first.
========================================================= */
/* ────────────────────────────────────────────
   FOOTER — V1 dark
──────────────────────────────────────────── */
.footer {
   background: var(--ink);
   border-top: 1px solid rgba(255, 255, 255, .05);
   padding: 64px 0 32px
}

.ft-top {
   display: grid;
   grid-template-columns: 280px 1fr 1fr 1fr;
   gap: 48px;
   padding-bottom: 48px;
   border-bottom: 1px solid rgba(255, 255, 255, .05);
   margin-bottom: 28px
}

.ft-brand p {
   font-size: 13px;
   color: #fff;
   line-height: 1.72;
   margin-top: 14px;
   max-width: 240px
}

.ft-col h2{
   font-family: var(--fd);
   font-size: 11px;
   font-weight: 700;
   color: #fff;
   letter-spacing: .1em;
   text-transform: uppercase;
   margin-bottom: 16px
}

.ft-links {
   list-style: none;
   display: flex;
   flex-direction: column;
   gap: 10px
}

.ft-links a {
   font-size: 13px;
   color: #fff;
   text-decoration: none;
   transition: color .15s
}

.ft-links a:hover {
   color: var(--white)
}

.ft-bot {
   display: flex;
   justify-content: space-between;
   align-items: center;
   flex-wrap: wrap;
   gap: 16px
}

.ft-copy {
   font-family: var(--fm);
   font-size: 11px;
   color: #fff;
}

.ft-legal {
   display: flex;
   gap: 24px;
	list-style: none;
}

.ft-legal a {
   font-family: var(--fm);
   font-size: 11px;
   color: #fff;
   text-decoration: none;
   transition: color .15s
}

.ft-legal a:hover {
   color: rgba(255, 255, 255, .5)
}


footer .ft-links li a {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
}

footer .ft-links li.footer-quote a::before,
footer .ft-links li.footer-email a::before,
footer .ft-links li.footer-facebook a::before,
footer .ft-links li.footer-twitter a::before,
footer .ft-links li.footer-instagram a::before,
footer .ft-links li.footer-linkedin a::before,
footer .ft-links li.footer-location a::before {
    content: "";
    display: inline-block;
    flex-shrink: 0;
    background-color: #fff;

    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    -webkit-mask-size: contain;

    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
}

/* Get a Quote */
footer .ft-links li.footer-quote a::before {
    width: 16px;
    height: 18px;
    flex-basis: 16px;

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%2218%22%20height%3D%2220%22%20viewBox%3D%220%200%2018%2020%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M14.5894%200.0135221C15.1439%20-0.0179179%2015.48%200.382031%2015.8292%200.736609L16.4804%201.39208L17.2786%202.19059C17.6643%202.57458%2018.0561%202.88345%2017.9933%203.49786C17.9384%204.03508%2017.5201%204.33271%2017.1625%204.69356L15.8914%205.9643L12.405%209.45065L9.5575%2012.2983L8.72733%2013.1284C8.52735%2013.3324%208.2024%2013.6773%207.98842%2013.85C7.85182%2013.8687%207.76248%2013.8676%207.62499%2013.868L4.16159%2013.8672C4.17264%2013.5709%204.16374%2013.2108%204.1637%2012.9091L4.16338%2011.1092C4.16333%2010.8793%204.14334%2010.17%204.1974%209.99019C4.42087%209.73986%204.70062%209.47311%204.9413%209.23234L6.20432%207.9695L10.0897%204.08411L12.6765%201.49726L13.4612%200.711686C13.8499%200.322961%2014.0083%200.0767358%2014.5894%200.0135221ZM5.54932%2012.4733L6.79584%2012.4768C6.94861%2012.4769%207.29165%2012.4853%207.42265%2012.4662C7.53829%2012.3348%207.69166%2012.2007%207.81878%2012.0735C8.12175%2011.7678%208.4264%2011.4637%208.73273%2011.1614L12.32%207.57558L13.3639%206.5331C13.5374%206.36077%2013.8039%206.10958%2013.963%205.93097C13.7569%205.74858%2013.5843%205.55272%2013.3897%205.36553C12.9556%204.94816%2012.5201%204.46661%2012.0784%204.06487C11.5596%204.60623%2010.9781%205.16856%2010.4449%205.70096L7.34036%208.80889L6.19297%209.95635C6.00998%2010.1392%205.72173%2010.4111%205.55844%2010.6052C5.54649%2010.7377%205.54989%2010.8647%205.54885%2010.9973C5.54502%2011.4888%205.55531%2011.982%205.54932%2012.4733ZM14.9652%204.94427C15.3019%204.56131%2015.7385%204.17844%2016.0937%203.80501C16.2146%203.67797%2016.4114%203.50644%2016.515%203.38032C16.2458%203.14867%2014.7023%201.54284%2014.6206%201.52552L13.0577%203.08637C13.3146%203.29915%2014.8622%204.9208%2014.9652%204.94427Z%22%20fill%3D%22white%22%2F%3E%3Cpath%20d%3D%22M1.30608%200.0131931C1.63169%20-0.00190184%202.00726%200.00652572%202.33577%200.00662648L4.04828%200.00653207C5.46124%200.00640455%206.91148%20-0.0106867%208.31949%200.0109387L8.32039%201.39543C6.81335%201.42404%205.22441%201.39817%203.71075%201.39814L2.21508%201.39886C1.98765%201.39981%201.60043%201.41608%201.39385%201.3911L1.393%2018.0151L12.4733%2018.0168C12.4798%2017.603%2012.4761%2017.181%2012.4765%2016.7666L12.479%2013.8624C12.9397%2013.8591%2013.4004%2013.86%2013.8613%2013.8653L13.8628%2016.6915L13.863%2017.5657C13.8627%2018.0133%2013.8778%2018.4584%2013.5936%2018.8375C13.3682%2019.139%2013.0314%2019.3378%2012.6585%2019.3896C12.4632%2019.4162%2012.1937%2019.4093%2011.9935%2019.4093L11.0108%2019.4088L7.72026%2019.4085L3.42987%2019.409L2.1318%2019.4096C1.55309%2019.4107%201.01805%2019.4786%200.532058%2019.1048C-0.0652703%2018.6456%200.0065047%2018.0198%200.00692978%2017.36L0.00801609%2015.9287L0.00770139%2011.0949L0.00713445%204.50681L0.00718177%202.40521C0.00721326%202.04539%20-0.0134423%201.65128%200.0151638%201.29617C0.0765481%200.534428%200.591805%200.0993941%201.30608%200.0131931Z%22%20fill%3D%22white%22%2F%3E%3C%2Fsvg%3E");
}

/* Email */
footer .ft-links li.footer-email a::before {
    width: 18px;
    height: 15px;
    flex-basis: 18px;

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg width='24' height='19' viewBox='0 0 24 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20.4555 0.900024H3.34444C1.99441 0.900024 0.899994 1.99444 0.899994 3.34447V15.5667C0.899994 16.9167 1.99441 18.0111 3.34444 18.0111H20.4555C21.8056 18.0111 22.9 16.9167 22.9 15.5667V3.34447C22.9 1.99444 21.8056 0.900024 20.4555 0.900024Z' stroke='white' stroke-width='1.8'/%3E%3Cpath d='M0.899994 3.34442L11.9 10.6778L22.9 3.34442' stroke='white' stroke-width='1.8'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg width='24' height='19' viewBox='0 0 24 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20.4555 0.900024H3.34444C1.99441 0.900024 0.899994 1.99444 0.899994 3.34447V15.5667C0.899994 16.9167 1.99441 18.0111 3.34444 18.0111H20.4555C21.8056 18.0111 22.9 16.9167 22.9 15.5667V3.34447C22.9 1.99444 21.8056 0.900024 20.4555 0.900024Z' stroke='white' stroke-width='1.8'/%3E%3Cpath d='M0.899994 3.34442L11.9 10.6778L22.9 3.34442' stroke='white' stroke-width='1.8'/%3E%3C/svg%3E");
}

/* LinkedIn */
footer .ft-links li.footer-linkedin a::before {
    width: 16px;
    height: 16px;
    flex-basis: 16px;

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%2222%22%20height%3D%2222%22%20viewBox%3D%220%200%2022%2022%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M4.92545%2022H0.363393V7.31205H4.92545V22ZM2.64196%205.30848C1.18348%205.30848%200%204.10045%200%202.64196C0%201.93973%200.279911%201.27188%200.775893%200.775893C1.27188%200.279911%201.94464%200%202.64196%200C3.33929%200%204.01205%200.279911%204.50804%200.775893C5.00402%201.27188%205.28393%201.94464%205.28393%202.64196C5.28393%204.10045%204.10045%205.30848%202.64196%205.30848ZM21.9951%2022H17.4429V14.85C17.4429%2013.146%2017.4085%2010.9607%2015.071%2010.9607C12.6991%2010.9607%2012.3357%2012.8121%2012.3357%2014.7272V22H7.77857V7.31205H12.154V9.31562H12.2179C12.8268%208.16161%2014.3147%206.94375%2016.5344%206.94375C21.1504%206.94375%2022%209.98348%2022%2013.9317V22H21.9951Z%22%20fill%3D%22white%22%2F%3E%3C%2Fsvg%3E");
}

/* Facebook */
footer .ft-links li.footer-facebook a::before {
    width: 17px;
    height: 18px;
    flex-basis: 17px;

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%22292%22%20height%3D%22512%22%20viewBox%3D%220%200%20292%20512%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M66%20299.3V512h116V299.3h86.5l18-97.8H182v-34.6c0-51.7%2020.3-71.5%2072.7-71.5%2016.3%200%2029.4.4%2037%201.2V7.9C277.4%204%20242.4%200%20222.2%200%20115.3%200%2066%2050.5%2066%20159.4v42.1H0v97.8z%22%20fill%3D%22%23fff%22%2F%3E%3C%2Fsvg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg%20width%3D%22292%22%20height%3D%22512%22%20viewBox%3D%220%200%20292%20512%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%3Cpath%20d%3D%22M66%20299.3V512h116V299.3h86.5l18-97.8H182v-34.6c0-51.7%2020.3-71.5%2072.7-71.5%2016.3%200%2029.4.4%2037%201.2V7.9C277.4%204%20242.4%200%20222.2%200%20115.3%200%2066%2050.5%2066%20159.4v42.1H0v97.8z%22%20fill%3D%22%23fff%22%2F%3E%3C%2Fsvg%3E");
}

/* Twitter / X */
footer .ft-links li.footer-twitter a::before {
    width: 16px;
    height: 16px;
    flex-basis: 16px;
	transform: scale(1.3);

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20640%20640%22%3E%3Cpath%20d%3D%22M523.4%20215.7c.3%204.5.3%209.1.3%2013.6%200%20138.7-105.6%20298.6-298.6%20298.6-59.5%200-114.7-17.2-161.1-47.1%208.4%201%2016.6%201.3%2025.3%201.3%2049.1%200%2094.2-16.6%20130.3-44.8-46.1-1-84.8-31.2-98.1-72.8%206.5%201%2013%201.6%2019.8%201.6%209.4%200%2018.8-1.3%2027.6-3.6-48.1-9.7-84.1-52-84.1-103v-1.3c14%207.8%2030.2%2012.7%2047.4%2013.3-28.3-18.8-46.8-51-46.8-87.4%200-19.5%205.2-37.4%2014.3-53%2051.7%2063.7%20129.3%20105.3%20216.4%20109.8-1.6-7.8-2.6-15.9-2.6-24%200-57.8%2046.8-104.9%20104.9-104.9%2030.2%200%2057.5%2012.7%2076.7%2033.1%2023.7-4.5%2046.5-13.3%2066.6-25.3-7.8%2024.4-24.4%2044.8-46.1%2057.8%2021.1-2.3%2041.6-8.1%2060.4-16.2-14.3%2020.8-32.2%2039.3-52.6%2054.3%22%2F%3E%3C%2Fsvg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20640%20640%22%3E%3Cpath%20d%3D%22M523.4%20215.7c.3%204.5.3%209.1.3%2013.6%200%20138.7-105.6%20298.6-298.6%20298.6-59.5%200-114.7-17.2-161.1-47.1%208.4%201%2016.6%201.3%2025.3%201.3%2049.1%200%2094.2-16.6%20130.3-44.8-46.1-1-84.8-31.2-98.1-72.8%206.5%201%2013%201.6%2019.8%201.6%209.4%200%2018.8-1.3%2027.6-3.6-48.1-9.7-84.1-52-84.1-103v-1.3c14%207.8%2030.2%2012.7%2047.4%2013.3-28.3-18.8-46.8-51-46.8-87.4%200-19.5%205.2-37.4%2014.3-53%2051.7%2063.7%20129.3%20105.3%20216.4%20109.8-1.6-7.8-2.6-15.9-2.6-24%200-57.8%2046.8-104.9%20104.9-104.9%2030.2%200%2057.5%2012.7%2076.7%2033.1%2023.7-4.5%2046.5-13.3%2066.6-25.3-7.8%2024.4-24.4%2044.8-46.1%2057.8%2021.1-2.3%2041.6-8.1%2060.4-16.2-14.3%2020.8-32.2%2039.3-52.6%2054.3%22%2F%3E%3C%2Fsvg%3E");
}

/* Instagram */
footer .ft-links li.footer-instagram a::before {
    width: 16px;
    height: 16px;
    flex-basis: 16px;
	transform: scale(1.3);

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath d='M320.3 205C256.8 204.8 205.2 256.2 205 319.7C204.8 383.2 256.2 434.8 319.7 435C383.2 435.2 434.8 383.8 435 320.3C435.2 256.8 383.8 205.2 320.3 205zM319.7 245.4C360.9 245.2 394.4 278.5 394.6 319.7C394.8 360.9 361.5 394.4 320.3 394.6C279.1 394.8 245.6 361.5 245.4 320.3C245.2 279.1 278.5 245.6 319.7 245.4zM413.1 200.3C413.1 185.5 425.1 173.5 439.9 173.5C454.7 173.5 466.7 185.5 466.7 200.3C466.7 215.1 454.7 227.1 439.9 227.1C425.1 227.1 413.1 215.1 413.1 200.3zM542.8 227.5C541.1 191.6 532.9 159.8 506.6 133.6C480.4 107.4 448.6 99.2 412.7 97.4C375.7 95.3 264.8 95.3 227.8 97.4C192 99.1 160.2 107.3 133.9 133.5C107.6 159.7 99.5 191.5 97.7 227.4C95.6 264.4 95.6 375.3 97.7 412.3C99.4 448.2 107.6 480 133.9 506.2C160.2 532.4 191.9 540.6 227.8 542.4C264.8 544.5 375.7 544.5 412.7 542.4C448.6 540.7 480.4 532.5 506.6 506.2C532.8 480 541 448.2 542.8 412.3C544.9 375.3 544.9 264.5 542.8 227.5zM495 452C487.2 471.6 472.1 486.7 452.4 494.6C422.9 506.3 352.9 503.6 320.3 503.6C287.7 503.6 217.6 506.2 188.2 494.6C168.6 486.8 153.5 471.7 145.6 452C133.9 422.5 136.6 352.5 136.6 319.9C136.6 287.3 134 217.2 145.6 187.8C153.4 168.2 168.5 153.1 188.2 145.2C217.7 133.5 287.7 136.2 320.3 136.2C352.9 136.2 423 133.6 452.4 145.2C472 153 487.1 168.1 495 187.8C506.7 217.3 504 287.3 504 319.9C504 352.5 506.7 422.6 495 452z'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath d='M320.3 205C256.8 204.8 205.2 256.2 205 319.7C204.8 383.2 256.2 434.8 319.7 435C383.2 435.2 434.8 383.8 435 320.3C435.2 256.8 383.8 205.2 320.3 205zM319.7 245.4C360.9 245.2 394.4 278.5 394.6 319.7C394.8 360.9 361.5 394.4 320.3 394.6C279.1 394.8 245.6 361.5 245.4 320.3C245.2 279.1 278.5 245.6 319.7 245.4zM413.1 200.3C413.1 185.5 425.1 173.5 439.9 173.5C454.7 173.5 466.7 185.5 466.7 200.3C466.7 215.1 454.7 227.1 439.9 227.1C425.1 227.1 413.1 215.1 413.1 200.3zM542.8 227.5C541.1 191.6 532.9 159.8 506.6 133.6C480.4 107.4 448.6 99.2 412.7 97.4C375.7 95.3 264.8 95.3 227.8 97.4C192 99.1 160.2 107.3 133.9 133.5C107.6 159.7 99.5 191.5 97.7 227.4C95.6 264.4 95.6 375.3 97.7 412.3C99.4 448.2 107.6 480 133.9 506.2C160.2 532.4 191.9 540.6 227.8 542.4C264.8 544.5 375.7 544.5 412.7 542.4C448.6 540.7 480.4 532.5 506.6 506.2C532.8 480 541 448.2 542.8 412.3C544.9 375.3 544.9 264.5 542.8 227.5zM495 452C487.2 471.6 472.1 486.7 452.4 494.6C422.9 506.3 352.9 503.6 320.3 503.6C287.7 503.6 217.6 506.2 188.2 494.6C168.6 486.8 153.5 471.7 145.6 452C133.9 422.5 136.6 352.5 136.6 319.9C136.6 287.3 134 217.2 145.6 187.8C153.4 168.2 168.5 153.1 188.2 145.2C217.7 133.5 287.7 136.2 320.3 136.2C352.9 136.2 423 133.6 452.4 145.2C472 153 487.1 168.1 495 187.8C506.7 217.3 504 287.3 504 319.9C504 352.5 506.7 422.6 495 452z'/%3E%3C/svg%3E");
}

/* Location */
footer .ft-links li.footer-location a::before {
    width: 15px;
    height: 18px;
    flex-basis: 15px;

    -webkit-mask-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 384 512' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M168 0C75.1 0 0 75.1 0 168c0 87.1 135.1 276.4 166.3 319.6 6.1 8.5 18.9 8.5 25 0C222.5 444.4 357.6 255.1 357.6 168 357.6 75.1 282.5 0 189.6 0H168zm12 240c-39.8 0-72-32.2-72-72s32.2-72 72-72 72 32.2 72 72-32.2 72-72 72z'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 384 512' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M168 0C75.1 0 0 75.1 0 168c0 87.1 135.1 276.4 166.3 319.6 6.1 8.5 18.9 8.5 25 0C222.5 444.4 357.6 255.1 357.6 168 357.6 75.1 282.5 0 189.6 0H168zm12 240c-39.8 0-72-32.2-72-72s32.2-72 72-72 72 32.2 72 72-32.2 72-72 72z'/%3E%3C/svg%3E");
}


/* ── FOOTER RESPONSIVE ── */
@media(max-width:1024px) {
   .ft-top {
      grid-template-columns: 1fr 1fr
   }
}

@media(max-width:640px) {
   .ft-top {
      grid-template-columns: 1fr
   }
}
